clustunique {xcms} | R Documentation

## Create unique matrix of m/z and retention time windows

### Description

Find indicies of nonoverlapping m/z and retention time windows. THIS FUNCTION HAS BEEN DEPRICATED IN FAVOR OF rectUnique AND WILL BE REMOVED IN A FUTURE RELEASE.

### Usage

    clustunique(clust, priority = seq(length = nrow(clust)), mzdiff = 0, max = 5)

### Arguments

`clust` | matrix with `mzmin`, `mzmax`, `retmin`, and `retmax` columns
`priority` | integer vector with indicies ordered by priority
`mzdiff` | minimal difference in m/z
`max` | maximum number of sorted rows to check for uniqueness

### Value

An integer vector with indicies of rows to keep

### Author(s)

Colin A. Smith, csmith@scripps.edu

[Package xcms version 1.6.1 Index]